#include			<stdio.h>
#include			<stdlib.h>
#include			<alloc.h>
#include			<float.h>
#include			<math.h>
#include			<float.h>
#include			<string.h>
#include			"my_menu.h"
#include			"adeshdef.h"
#include			"adeshve.h"
#include			"desh_gen.h"
#include			"desh_atm.h"



		char	Element_Name[104][26] = {
			" Vacancy                 ",
			" Hydrogen     ( H) : HEX ",
			" Helium       (He) : HEX ",
			" Lithium      (Li) : BCC ",
			" Beryllium    (Be) : HEX ",
			" Boron        ( B) : TET ",
			" Carbon       ( C) :  DC ",
			" Nitrogen     ( N) : HEX ",
			" Oxygen       ( O) : CUB ",
			" Fluorine     ( F) : MCL ",
			" Neon         (Ne) : FCC ",
			" Sodium       (Na) : BCC ",
			" Magnesium    (Mg) : HEX ",
			" Aluminium    (Al) : FCC ",
			" Silicon      (Si) :  DC ",
			" Phosphorus   ( P) : CUB ",
			" Sulfur       ( S) : ORC ",
			" Chlorine     (Cl) : ORC ",
			" Argon        (Ar) : FCC ",
			" Potassium    ( K) : BCC ",
			" Calcium      (Ca) : FCC ",
			" Scandium     (Sc) : HEX ",
			" Titanium     (Ti) : HEX ",
			" Vanadium     ( V) : BCC ",
			" Chromium     (Cr) : BCC ",
			" Manganese    (Mn) : CUB ",
			" Iron         (Fe) : BCC ",
			" Cobalt       (Co) : HEX ",
			" Nickel       (Ni) : FCC ",
			" Copper       (Cu) : FCC ",
			" Zinc         (Zn) : HEX ",
			" Gallium      (Ga) : ORC ",
			" Germanium    (Ge) :  DC ",
			" Arsenic      (As) : RHL ",
			" Selenium     (Se) : HEX ",
			" Bromine      (Br) : ORC ",
			" Krypton      (Kr) : FCC ",
			" Rubidium     (Rb) : BCC ",
			" Strontium    (Sr) : FCC ",
			" Yttrium      ( Y) : HEX ",
			" Zirconium    (Zr) : HEX ",
			" Niobium      (Nb) : BCC ",
			" Molybdenum   (Mo) : BCC ",
			" Technetium   (Tc) : HEX ",
			" Ruthenium    (Ru) : HEX ",
			" Rhodium      (Rh) : FCC ",
			" Palladium    (Pd) : FCC ",
			" Silver       (Ag) : FCC ",
			" Cadmium      (Cd) : HEX ",
			" Indium       (In) : TET ",
			" Tin          (Sn) : TET ",
			" Antimony     (Sb) : RHL ",
			" Tellurium    (Te) : HEX ",
			" Iodine       ( I) : ORC ",
			" Xenon        (Xe) : FCC ",
			" Cesium       (Cs) : BCC ",
			" Barium       (Ba) : BCC ",
			" Lanthanum    (La) : HEX ",
			" Cerium       (Ce) : FCC ",
			" Praseodymium (Pr) : HEX ",
			" Neodymium    (Nd) : HEX ",
			" Promethium   (Pm) :     ",
			" Samarium     (Sm) : RHL ",
			" Europium     (Eu) : BCC ",
			" Gadolinium   (Gd) : HEX ",
			" Terbium      (Tb) : HEX ",
			" Dysprosium   (Dy) : HEX ",
			" Holmium      (Ho) : HEX ",
			" Erbium       (Er) : HEX ",
			" Thulium      (Tm) : HEX ",
			" Ytterbium    (Yb) : FCC ",
			" Lutetium     (Lu) : HEX ",
			" Hafnium      (Hf) : HEX ",
			" Tantalum     (Ta) : BCC ",
			" Tungsten     ( W) : BCC ",
			" Rhenium      (Re) : HEX ",
			" Osmium       (Os) : HEX ",
			" Iridium      (Ir) : FCC ",
			" Platinum     (Pt) : FCC ",
			" Gold         (Au) : FCC ",
			" Mercury      (Hg) : RHL ",
			" Thallium     (Tl) : HEX ",
			" Lead         (Pb) : FCC ",
			" Bismuth      (Bi) : RHL ",
			" Polonium     (Po) :  SC ",
			" Astatine     (At) :     ",
			" Radon        (Rn) : FCC ",
			" Francium     (Fr) : BCC ",
			" Radium       (Ra) :     ",
			" Actinium     (Ac) : FCC ",
			" Thorium      (Th) : FCC ",
			" Protactinium (Pa) : TET ",
			" Uranium      ( U) : ORC ",
			" Neptunium    (Np) : ORC ",
			" Plutonium    (Pu) : MCL ",
			" Americium    (Am) :     ",
			" Curium       (Cm) :     ",
			" Berkelium    (Bk) :     ",
			" Californium  (Cf) :     ",
			" Einsteinium  (Es) :     ",
			" Fermium      (Fm) :     ",
			" Mendelevium  (Md) :     ",
			" Nobelium     (No) :     ",
			" Lawrencium   (Lw) :     "};



int menu_Element_Selection(void)
 {
	int	i;
	VN_Menu Element_Detail;

	VN_New_Screen();
		if(Init_VN_Menu(&Element_Detail, "Element Menu", 104, 10) == VN_MENU_ERROR)
				{
					printf("\n Can not open Element menu");
					get_key_press();
					return(VN_MENU_EXIT);
				}

		for(i=0; i<104; i++)
			{
				Init_VN_Menu_Entry(&Element_Detail, i+1, Element_Name[i], Input_Atom_Type);
			}

		Handle_VN_Menu(&Element_Detail, 1);
		Close_VN_Menu(&Element_Detail);
		return(VN_MENU_CONTINUE);
	}


int Input_Atom_Type(VN_Menu *VN_Menu_Name, int VN_Menu_Entry)
 {
		 Selected_Atom_Type = VN_Menu_Entry-1;
		 return(VN_MENU_EXIT);
	}

